<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql1 = <<<'SQL'
        ALTER TABLE quality_validations
        ADD UNIQUE (plant_id, serial_number);
        SQL;

        DB::statement($sql1);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        // Schema::table('quality_validations', function (Blueprint $table) {
        //     //
        // });
    }
};
